All Classes Namespaces Functions Variables Groups Pages
PgsqlSqlUtil::PgsqlFunction Class Reference

represents a PostgreSQL-specific function More...

Inheritance diagram for PgsqlSqlUtil::PgsqlFunction:
[legend]

## Public Member Functions

softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the function in the database More...
| setName (string new_name)
| sets the new name of the function

## Private Member Functions

bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a PostgreSQL-specific function

## Member Function Documentation

string PgsqlSqlUtil::PgsqlFunction::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | drop options; if force is True, then the `CASCADE` option will be used in the drop statement

softlist PgsqlSqlUtil::PgsqlFunction::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

virtual

returns a string that can be used to rename the function in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored

Implements SqlUtil::AbstractFunction.